## qwik 0.8.2

=== Makefile ===
RUBY=ruby

debug:
	$(RUBY) -Ilib bin/qwikweb-server -d -c etc/config-debug.txt

mldebug:
	$(RUBY) -Ilib bin/quickml-server -d -c etc/config-debug.txt

run:
	$(RUBY) -Ilib bin/qwikweb-server -c etc/config.txt

mlrun:
	$(RUBY) -Ilib bin/qwikweb-server -c etc/config.txt

watch:
	$(RUBY) -Ilib bin/qwik-service --watchlog -c etc/config-debug.txt

test:
	cd lib/qwik; make; cd ../..

version:
	$(RUBY) -Ilib lib/qwik/dev-release.rb --generate-vesrion

manifest:	version
	$(RUBY) -Ilib lib/qwik/dev-release.rb --generate-manifest

dist:	manifest
	$(RUBY) -Ilib lib/qwik/dev-release.rb --generate-dist

upload:	dist
	$(RUBY) -Ilib lib/qwik/dev-release.rb --upload

clean:
	-rm *~ .config InstalledFiles

realclean:	clean
	-rm MANIFEST
	cd ext; make clean; cd ..

=== lib/qwik/Makefile ===
RUBY=ruby

all:	m

# test suites.
a:		test-suite-all
b:		test-suite-basic
m:		test-suite-ml
test-suite-all:
	$(RUBY) -I.. test-suite-all.rb
test-suite-basic:
	$(RUBY) -I.. test-suite-basic.rb
test-suite-ml:
	$(RUBY) -I.. test-suite-ml.rb

# For production test.
checkmail:
	$(RUBY) dev-sendmail.rb

# profiles
profile:
	$(RUBY) -rprofile -Icompat test-suite-basic.rb 2> profile.txt
rbprof:
	$(RUBY) -rrbprof -Icompat test-suite-basic.rb 2>rbprof.txt

# benchmarks
bench:
	$(RUBY) -runprof bench-s-md5.rb 2> rubyprof-bench.txt
bench-page:
	$(RUBY) -rrbprof -Icompat bench-page.rb 2> rbprof-page.txt
bench-textformat:
	$(RUBY) -rrbprof -Icompat bench-textformat.rb 2> rbprof-textformat.txt

x:
	-chmod 644 *.rb .cvsignore Makefile dev-*

# clean
clean:
	-rm -rf compat/.cache
	-rm -rf compat/compat
	-rm -rf test www sid
	-rm testtemp.zip
	-rm access.log qwik-access.log qwik-error.log quickml.log
	-rm t .#* *~ *.stackdump
	-rm ../../cache/sid/????????????????????????????????
	-rm generation.txt testlog.txt

realclean:	clean
	-rm *.profile profile.txt rbprof.txt rbprof-bench.txt rbprof-table.txt
	-rm rubyprof-bench.txt log
	-rm *.bak

=== share/theme/js/Makefile ===
RUBY=ruby

all:
	$(RUBY) -I../../../lib ../../../lib/qwik/dev-js-compressor.rb

clean:
	rm ../all.js

x:
	chmod -x *.js *.html .cvsignore Makefile

dist:	debugwindow.tar.bz2

debugwindow.tar.bz2:	debugwindow.js debugwindow.html debugwindow-test.html
	mkdir debugwindow
	mv debugwindow.js debugwindow.html debugwindow-test.html debugwindow
	tar cvfj debugwindow.tar.bz2 debugwindow
	mv debugwindow/* .
	rmdir debugwindow

## qwik 0.8.4.3ubuntu1

=== debian/changelog ===
qwik (0.8.4.3ubuntu1) edgy; urgency=low

  * Re-sync with Debian
  * Bashisms in debian/rules

 -- Barry deFreese <bddebian@comcast.net>  Tue, 26 Sep 2006 14:27:29 -0400

qwik (0.8.4.3) unstable; urgency=low

  * Official debian package, which closes: #341674.
  * debian/copyright: Fix spelling mistake, refer common-licenses/GPL-2.
  * debian/docs (COPYING): Removed.
  * debian/qwik.init: Added BEGIN/END INIT INFO.

 -- NIIBE Yutaka <gniibe@fsij.org>  Sun, 10 Sep 2006 20:02:07 +0900

qwik (0.8.4.2) unstable; urgency=low

  * debian/copyright: Clarify a bit.
  * debian/control: Tag should not be in this file.
  * debian/rules: Added +x.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu,  7 Sep 2006 10:55:05 +0900

qwik (0.8.4.1) unstable; urgency=low

  * New Upstream Released.
  * debian/copyright file change.

 -- Kouichirou Eto <2006@eto.com>  Mon,  7 Aug 2006 20:45:00 +0900

qwik (0.8.3-1) unstable; urgency=low

  * New Upstream Released.
  * debian/copyright file change.
  * debian/control file changed.
    delete Conflicts: quickml
	 delete Suggests: graphviz, ttf-sazanami-gothic,

 -- Yasuo Eto <yasuo@etou.org>  Sat, 29 Jul 2006 21:00:13 +0900

qwik (0.8.2.2) unstable; urgency=low

  * debian/watch: New file
  * debian/control (Standards-Version): Follows 3.7.2.
    (Description): Fixed the description.
    (Tag): Added.
    (Conflicts): Added.

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat, 27 May 2006 14:59:13 +0900

qwik (0.8.2-1) unstable; urgency=low

  * New Upstream Released. 

 -- Yasuo Eto <yasuo@etou.org>  Tue, 11 Apr 2006 13:19:52 +0900

qwik (0.8.1-2) unstable; urgency=low

  * add depend adduser.
  * fix Free Software Fondation address.

 -- Yasuo Eto <yasuo@etou.org>  Mon,  6 Mar 2006 07:18:57 +0900

qwik (0.8.1-1) unstable; urgency=low

  * New Upstream Released.
  * move pid directory /var/run/ from /var/run/qwik/
  * delete some $LOAD_PATH.

 -- Yasuo Eto <yasuo@etou.org>  Mon,  6 Mar 2006 07:08:50 +0900

qwik (0.8.0-1) unstable; urgency=low

  * New Upstream Relased.
  * move template directory from /etc/qwik/template to
	 /usr/share/qwik/template.
  * remove suggest dependency libaspecter.
  * add suggest dependency graphviz and ttf-sazanami-gothic.

 -- Yasuo Eto <yasuo@etou.org>  Thu,  2 Feb 2006 22:29:40 +0900

qwik (0.7.1-9) unstable; urgency=low

  * fix template.rb require path.

 -- Yasuo Eto <yasuo@etou.org>  Wed,  5 Oct 2005 08:58:13 +0900

qwik (0.7.1-8) unstable; urgency=low

  * move directory template.

 -- Yasuo Eto <yasuo@etou.org>  Wed,  5 Oct 2005 08:31:58 +0900

qwik (0.7.1-7) unstable; urgency=low

  * delete analog

 -- Yasuo Eto <yasuo@etou.org>  Tue,  4 Oct 2005 15:08:41 +0900

qwik (0.7.1-6) unstable; urgency=low

  * delete obsolute file /usr/sbin/qwikweb-generate-template.
  * delete obsolute directory usr/lib/ruby/1.8/qwik/t/.
  * move directory /usr/share/qwik/jsunit from /usr/lib/ruby/1.8/qwik/jsunit/.

 -- Yasuo Eto <yasuo@etou.org>  Tue,  4 Oct 2005 14:56:26 +0900

qwik (0.7.1-5) unstable; urgency=low

  * change backup dir.
  * change mode /usr/share/qwik/ dir.

 -- Yasuo Eto <yasuo@etou.org>  Tue,  4 Oct 2005 14:36:04 +0900

qwik (0.7.1-4) unstable; urgency=low

  * chnage mode /usr/lib/ruby/1.8/qwik/.

 -- Yasuo Eto <yasuo@etou.org>  Mon,  3 Oct 2005 12:34:38 +0900

qwik (0.7.1-3) unstable; urgency=low

  * strip xmlformatter.so 

 -- Yasuo Eto <yasuo@etou.org>  Mon,  3 Oct 2005 11:27:56 +0900

qwik (0.7.1-2) unstable; urgency=low

  * Change qwikweb-backup directory.
  * Change xmlformatter.so directory.

 -- Yasuo Eto <yasuo@etou.org>  Mon,  3 Oct 2005 09:43:17 +0900

qwik (0.7.1-1) unstable; urgency=low

  * New Upstream Released.

 -- Yasuo Eto <yasuo@etou.org>  Sun,  2 Oct 2005 21:53:49 +0900

qwik (0.7.0-1) unstable; urgency=low

  * New Upstream Released.

 -- Yasuo Eto <yasuo@etou.org>  Tue, 20 Sep 2005 01:10:25 +0900

qwik (0.5.0-6) unstable; urgency=low

  * fix dependency add depend libopenssl-ruby1.8 

 -- Yasuo Eto <yasuo@etou.org>  Sat,  9 Apr 2005 08:01:48 +0900

qwik (0.5.0-5) unstable; urgency=low

  * fix farm.rb

 -- Yasuo Eto <yasuo@etou.org>  Sat,  9 Apr 2005 07:28:19 +0900

qwik (0.5.0-4) unstable; urgency=low

  * fix typekey 

 -- Yasuo Eto <yasuo@etou.org>  Sat,  9 Apr 2005 06:27:45 +0900

qwik (0.5.0-3) unstable; urgency=low

  * fix /usr/lib/ruby/1.8/qwik/config.rb

 -- Yasuo Eto <yasuo@etou.org>  Sat,  9 Apr 2005 06:00:26 +0900

qwik (0.5.0-2) unstable; urgency=low

  * fix qwik.init
  * fix require template location

 -- Yasuo Eto <yasuo@etou.org>  Fri,  8 Apr 2005 17:22:11 +0900

qwik (0.5.0-1) unstable; urgency=low

  * New Upstream Released.

 -- Yasuo Eto <yasuo@etou.org>  Thu,  7 Apr 2005 16:22:01 +0900

qwik (0.4.2-5) unstable; urgency=low

  * fix ruby path.
  * fix dependency aspectr -> libaspectr.

 -- Yasuo Eto <yasuo@etou.org>  Tue, 29 Mar 2005 00:21:58 +0900

qwik (0.4.2-4) unstable; urgency=low

  * fix t/ test utils require path.

 -- Yasuo Eto <yasuo@etou.org>  Wed, 23 Mar 2005 07:35:13 +0900

qwik (0.4.2-3) unstable; urgency=low

  * fix dependency Suggests: libdb4.2-ruby1.8

 -- Yasuo Eto <yasuo@etou.org>  Sun, 20 Mar 2005 21:43:49 +0900

qwik (0.4.2-2) unstable; urgency=low

  * Fix dependency ruby1.8 resructured sub-packages
  * Fix any misstake

 -- Yasuo Eto <yasuo@etou.org>  Sun, 20 Mar 2005 02:36:39 +0900

qwik (0.4.2-1) unstable; urgency=low

  * New Upstream Released

 -- Yasuo Eto <yasuo@etou.org>  Sun, 13 Mar 2005 23:23:47 +0900

qwik (0.4.0-10) unstable; urgency=low

  * fix /etc/init.d/qwik 

 -- Yasuo Eto <yasuo@etou.org>  Wed,  9 Mar 2005 19:30:05 +0900

qwik (0.4.0-9) unstable; urgency=low

  * fix quickmlrc. 

 -- Yasuo Eto <yasuo@etou.org>  Wed,  9 Mar 2005 18:39:50 +0900

qwik (0.4.0-8) unstable; urgency=low

  * fix wrong quickml configfile locate. 

 -- Yasuo Eto <yasuo@etou.org>  Thu,  3 Mar 2005 15:19:20 +0900

qwik (0.4.0-7) unstable; urgency=low

  * fix dependency libalgorithm-diff-ruby1.8

 -- Yasuo Eto <yasuo@etou.org>  Tue, 22 Feb 2005 00:07:06 +0900



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

UPSTREAM = qwik
UPSTREAM_VERSION = 0.8.4

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build:
	# noting to do

clean:
	dh_testdir
	dh_testroot

	# Clean build and stamps
	rm -rf build
	rm -rf unpack-stamp patch-stamp patch-stampTMP patches-stamp
	-rm -f usr/bin/Makefile ./usr/lib/ruby/1.8/qwik/Makefile ./usr/lib/ruby/1.8/qwik/Makefile
	-rm ext/xmlformatter.o

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/qwik.
	
	#/usr/sbin
	cp -p bin/quickml-server $(CURDIR)/debian/qwik/usr/sbin/
	cp -p bin/qwik-service $(CURDIR)/debian/qwik/usr/sbin/
	cp -p bin/qwikweb-server $(CURDIR)/debian/qwik/usr/sbin/

	#/usr/lib/ruby/1.8
	install -d $(CURDIR)/debian/qwik/usr/lib/ruby/1.8/qwik

	# qwik lib
	cp -r lib/qwik/*  $(CURDIR)/debian/qwik/usr/lib/ruby/1.8/qwik/
	#adhoc delete compat dir
	rm -rf $(CURDIR)/debian/qwik/usr/lib/ruby/1.8/qwik/compat
	#install xmlformater.so
	cd ext/ && ruby1.8 extconf.rb && make 
	install -d $(CURDIR)/debian/qwik/usr/lib/ruby/1.8/$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)/qwik/
	mv ext/xmlformatter.so $(CURDIR)/debian/qwik/usr/lib/ruby/1.8/$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)/qwik/
	cd ext/ && make clean && rm Makefile 
	chmod -R 644  $(CURDIR)/debian/qwik/usr/lib/ruby/1.8/qwik/
	
	find $(CURDIR)/debian/qwik/usr/lib/ruby/1.8/qwik/ -type d -print |  xargs chmod 755

	# /usr/share/
	install -d $(CURDIR)/debian/qwik/usr/share/qwik/super
	install -d $(CURDIR)/debian/qwik/usr/share/qwik/theme
	install -d $(CURDIR)/debian/qwik/usr/share/qwik/template
	cp -r share/super/*  $(CURDIR)/debian/qwik/usr/share/qwik/super/
	cp -r share/theme/*  $(CURDIR)/debian/qwik/usr/share/qwik/theme/
	cp -r share/template/* $(CURDIR)/debian/qwik/usr/share/qwik/template/

	chmod -R 644 $(CURDIR)/debian/qwik/usr/share/qwik/
	
	find $(CURDIR)/debian/qwik/usr/share/qwik/ -type d -print |  xargs chmod 755  

	# change path
	sed -i  -e "s/require\ 'diff'/require 'algorithm\/diff'/g" `grep -rl require\ \'diff\' $(CURDIR)/debian/qwik`
	sed -i -e "s/\/usr\/bin\/ruby/\/usr\/bin\/ruby1.8/" `grep -rl  \/usr\/bin\/ruby $(CURDIR)/debian/qwik`

	# delete LOAD_PATH
	-grep -rl require\ \'qwik\/compat\/add_load_path\'  $(CURDIR)/debian/qwik/ | xargs sed -i  -e "/require 'qwik\/compat\/add_load_path'/d"

	-grep -rl \$$LOAD_PATH\ \<\<\ \'\.\.\'\ unless\ \$$LOAD_PATH\.include\?\ \'\.\.\' $(CURDIR)/debian/qwik\
		|xargs sed  -i -e "/\$$LOAD_PATH << '\.\.' unless \$$LOAD_PATH\.include? '\.\.'/D" 
	
	-grep -rl \$$LOAD_PATH\ \<\<\ \'\.\.\/\.\.\/ext\'\ unless\ \$$LOAD_PATH\.include\?\(\'\.\.\/\.\.\/ext\'\) $(CURDIR)/debian/qwik\
		| xargs sed -i -e "/\$$LOAD_PATH << '\.\.\/\.\.\/ext' unless \$$LOAD_PATH\.include?('\.\.\/\.\.\/ext')/D"
	
	-grep -rl \$$LOAD_PATH\ \<\<\ \'compat\'\ unless\ \$$LOAD_PATH\.include\?\ \'compat\' $(CURDIR)/debin/qwik\
		| xargs sed -i -e "/\$$LOAD_PATH << 'compat' unless \$$LOAD_PATH\.include? 'compat'/D"
	
	-grep -rl \$$LOAD_PATH\ \<\<\ File\.expand_path\(File\.dirname\(__FILE__\)\+\'\/\.\.\/lib\'\) $(CURDIR)/debian/qwik\
		| xargs sed -i -e "/\$$LOAD_PATH << File\.expand_path(File\.dirname(__FILE__)+'\/\.\.\/lib')/D"
	
	-grep -rl \$$LOAD_PATH\ \<\<\ File\.expand_path\(File\.dirname\(__FILE__\)\+\'\/\.\.\/ext\'\) $(CURDIR)/debian/qwik\
		| xargs sed -i -e "/\$$LOAD_PATH << File\.expand_path(File\.dirname(__FILE__)+'\/\.\.\/ext')/D"
	
	#me/keing misc dir
	#qwik
	install -d $(CURDIR)/debian/qwik/var/log/qwik/
	install -d $(CURDIR)/debian/qwik/var/cache/qwik/
	install -d $(CURDIR)/debian/qwik/var/cache/qwik/grave/
	install -d $(CURDIR)/debian/qwik/etc/qwik/
	install -d $(CURDIR)/debian/qwik/var/lib/qwik/data/www/
	install -d $(CURDIR)/debian/qwik/var/lib/qwik/backup/
	install -d $(CURDIR)/debian/qwik/var/run/qwik/
	cp data/www/* $(CURDIR)/debian/qwik/var/lib/qwik/data/www/

	## /etc/qwik/
	# qwik config
	cp debian/config.txt $(CURDIR)/debian/qwik/etc/qwik/
	touch $(CURDIR)/debian/qwik/etc/qwik/typekey-sitetoken.txt
	touch $(CURDIR)/debian/qwik/etc/qwik/generation.txt
	touch $(CURDIR)/debian/qwik/etc/qwik/password.txt
	touch $(CURDIR)/debian/qwik/etc/qwik/google-maps-api-key.txt
	
	## /etc/default/
	install -d $(CURDIR)/debian/qwik/etc/default/
	cp debian/qwik.defaults $(CURDIR)/debian/qwik/etc/default/qwik

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installdebconf	
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
	dh_installcron
#	dh_installinfo
	dh_installman
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## qwik 0.8.4.4

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Copyright (C) 2003-2006 Kouichirou Eto, All rights reserved.
+# This is free software with ABSOLUTELY NO WARRANTY.
+# You can redistribute it and/or modify it under the terms of the GNU GPL 2.
+
 RUBY=ruby
 
 debug:

=== share/template/Makefile ===
RUBY=ruby

all:
	$(RUBY) -I../../lib ../../lib/qwik/template-generator.rb --generate

clean:
	rm *.rb

x:
	-chmod 644 *.html *.rb Makefile

=== lib/qwik/compat/Makefile ===
# Copyright (C) 2003-2006 Kouichirou Eto, All rights reserved.
# This is free software with ABSOLUTELY NO WARRANTY.
# You can redistribute it and/or modify it under the terms of the GNU GPL 2.

all:
	echo 'You can download dependencies by "make get"'

get:	get_typekey

get_typekey:
	wget http://jouno.s11.xrea.com/x/script/typekey/TypeKey.rb

=== debian/changelog ===
qwik (0.8.4.4) unstable; urgency=low

  * debian/rules: Avoid Bash features (curry braces). Closes: #389559.
    install linda/lintian ovverrides.
  * debian/qwik.lintian-overrides: New file.
  * debian/qwik.linda-overrides: New file.

 -- Yasuo Eto <yasuo@etou.org>  Wed, 27 Sep 2006 09:31:22 +0900

=== debian/control ===
Source: qwik
Section: web
Priority: optional
Maintainer: Yasuo Eto <yasuo@etou.org>
Uploaders: NIIBE Yutaka <gniibe@fsij.org>, Kouichirou Eto <2006@eto.com>
Build-Depends: debhelper (>= 4.0.0), ruby1.8, ruby1.8-dev
Standards-Version: 3.7.2

Package: qwik
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby1.8 (>=1.8.2-3), libhtree-ruby1.8, libalgorithm-diff-ruby1.8, libzip-ruby1.8,  adduser
Suggests: libdb4.2-ruby1.8, libgd-ruby1.8, imagemagick, libopenssl-ruby1.8 
Description: a group communication system with Wiki and ML
 qwikWeb is a group communication system which integrates Wiki and
 mailing list.
 .
 Homepage: http://qwik.jp/

=== debian/rules ===
--- 
+++ 
@@ -89,7 +89,7 @@
 	-grep -rl \$$LOAD_PATH\ \<\<\ \'\.\.\/\.\.\/ext\'\ unless\ \$$LOAD_PATH\.include\?\(\'\.\.\/\.\.\/ext\'\) $(CURDIR)/debian/qwik\
 		| xargs sed -i -e "/\$$LOAD_PATH << '\.\.\/\.\.\/ext' unless \$$LOAD_PATH\.include?('\.\.\/\.\.\/ext')/D"
 	
-	-grep -rl \$$LOAD_PATH\ \<\<\ \'compat\'\ unless\ \$$LOAD_PATH\.include\?\ \'compat\' $(CURDIR)/debin/qwik\
+	-grep -rl \$$LOAD_PATH\ \<\<\ \'compat\'\ unless\ \$$LOAD_PATH\.include\?\ \'compat\' $(CURDIR)/debian/qwik\
 		| xargs sed -i -e "/\$$LOAD_PATH << 'compat' unless \$$LOAD_PATH\.include? 'compat'/D"
 	
 	-grep -rl \$$LOAD_PATH\ \<\<\ File\.expand_path\(File\.dirname\(__FILE__\)\+\'\/\.\.\/lib\'\) $(CURDIR)/debian/qwik\
@@ -120,6 +120,14 @@
 	## /etc/default/
 	install -d $(CURDIR)/debian/qwik/etc/default/
 	cp debian/qwik.defaults $(CURDIR)/debian/qwik/etc/default/qwik
+
+	## lintian override
+	install -d $(CURDIR)/debian/qwik/usr/share/lintian/overrides/
+	install -m 0644 debian/qwik.lintian-overrides $(CURDIR)/debian/qwik/usr/share/lintian/overrides/qwik
+
+	## linda override
+	install -d $(CURDIR)/debian/qwik/usr/share/linda/overrides/
+	install -m 0644 debian/qwik.linda-overrides $(CURDIR)/debian/qwik/usr/share/linda/overrides/qwik
 
 # Build architecture-dependent files here.
 binary-arch: build install

## qwik 0.8.4.4ubuntu1

=== lib/qwik/Makefile ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Copyright (C) 2003-2006 Kouichirou Eto, All rights reserved.
+# This is free software with ABSOLUTELY NO WARRANTY.
+# You can redistribute it and/or modify it under the terms of the GNU GPL 2.
+
 RUBY=ruby
 
 all:	m

=== share/theme/css/Makefile ===
RUBY=ruby

all:
	$(RUBY) -I../../../lib ../../../lib/qwik/dev-css-compressor.rb

clean:
	rm ../all.css

x:
	chmod -x *.css Makefile

=== share/theme/js/Makefile ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Copyright (C) 2003-2006 Kouichirou Eto, All rights reserved.
+# This is free software with ABSOLUTELY NO WARRANTY.
+# You can redistribute it and/or modify it under the terms of the GNU GPL 2.
+
 RUBY=ruby
 
 all:

=== debian/changelog ===
qwik (0.8.4.4ubuntu1) hardy; urgency=low

  * Change suggests libdb4.2-ruby to libdb4.4-ruby

 -- Scott Kitterman <scott@kitterman.com>  Thu, 31 Jan 2008 22:18:51 -0500

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: qwik
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ruby1.8 (>=1.8.2-3), libhtree-ruby1.8, libalgorithm-diff-ruby1.8, libzip-ruby1.8,  adduser
-Suggests: libdb4.2-ruby1.8, libgd-ruby1.8, imagemagick, libopenssl-ruby1.8 
+Suggests: libdb4.4-ruby1.8, libgd-ruby1.8, imagemagick, libopenssl-ruby1.8 
 Description: a group communication system with Wiki and ML
  qwikWeb is a group communication system which integrates Wiki and
  mailing list.

=== debian/watch ===
# Site         Directory               Pattern                 Version Script
version=2
http://rubyforge.org/frs/download.php/9824/qwik-(.*)\.tar.gz   debian  uupdate

## qwik 0.8.4.4ubuntu2

=== debian/changelog ===
qwik (0.8.4.4ubuntu2) intrepid; urgency=low

  * debian/qwik.init:
    - Include LSB dependency header from Debian #470109.
  * debian/control:
    - Update Maintainer field as per spec (LP: #230350).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sun, 01 Jun 2008 11:11:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qwik
 Section: web
 Priority: optional
-Maintainer: Yasuo Eto <yasuo@etou.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Yasuo Eto <yasuo@etou.org>
 Uploaders: NIIBE Yutaka <gniibe@fsij.org>, Kouichirou Eto <2006@eto.com>
 Build-Depends: debhelper (>= 4.0.0), ruby1.8, ruby1.8-dev
 Standards-Version: 3.7.2

## qwik 0.8.4.4ubuntu3

=== debian/changelog ===
qwik (0.8.4.4ubuntu3) jaunty; urgency=low

  * Change suggests libdb4.4-ruby1.8 to libdb-ruby1.8 so it will just use the
    current default

 -- Scott Kitterman <scott@kitterman.com>  Wed, 31 Dec 2008 01:42:17 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: qwik
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ruby1.8 (>=1.8.2-3), libhtree-ruby1.8, libalgorithm-diff-ruby1.8, libzip-ruby1.8,  adduser
-Suggests: libdb4.4-ruby1.8, libgd-ruby1.8, imagemagick, libopenssl-ruby1.8 
+Suggests: libdb-ruby1.8, libgd-ruby1.8, imagemagick, libopenssl-ruby1.8 
 Description: a group communication system with Wiki and ML
  qwikWeb is a group communication system which integrates Wiki and
  mailing list.

## qwik tern-0.0.6

=== Makefile ===
run:
	@python main.py

clean:
	@rm -R dist

build:
	@py -m build

release:
	twine upload dist/* --verbose

=== requirements.txt ===
mysql.connector 
mysql-connector-python
pandas
colorlog
